
# Source Files
set(GUI_SRC
"gui.cpp"
"file_browser.cpp"
"panel.cpp"
"console.cpp"
)

add_library(gui ${GUI_SRC})
target_link_libraries(gui utils assets dearimgui glfw)

target_include_directories(gui
    PUBLIC "${PROJECT_BINARY_DIR}"
    PUBLIC ../../
    PUBLIC ../../internal_libs
    PUBLIC ../../run_modes
    PUBLIC ../../../external/glm
    PUBLIC ../../../external/glad/include
    PUBLIC ../../../external/glfw/include
    PUBLIC ../../../external/box2d/include
    PUBLIC ../../../external/pugixml/src
)